!lua

-- Cabin Lights for AIG A339.lua
-- Turn off lightmap between 9:40 PM and 7:55 AM and when the plane is not operating.

local LocalTime = varget("E:LOCAL TIME", "seconds")
local CabinLight = varget("A:LIGHT NAV", "Bool")
local Scale = 0.5

if CabinLight > 0 or LocalTime > 28500 and LocalTime < 78000 then
    TextureName = "AIG_A339_l.DDS"
	else
    TextureName = ""
end

varset("T:EmissiveScale","Number",Scale)
varset("T:EmissiveTexture","String",TextureName)